scoreboard objectives add BeatTime dummy
scoreboard players add BeatTime BeatTime 1
scoreboard objectives add Level dummy
scoreboard objectives add LevelPrev dummy
scoreboard objectives add WalkingTime dummy
scoreboard objectives add MusicTime dummy

scoreboard players set Bound BeatTime 160
execute if score BeatTime BeatTime matches 20 as @a[scores={Level=1..50}] at @s run playsound minecraft:block.note_block.bit block @s ~ ~ ~ 1 1.5
execute if score BeatTime BeatTime matches 40 as @a[scores={Level=1..50}] at @s run playsound minecraft:block.note_block.bit block @s ~ ~ ~ 1 1.7
execute if score BeatTime BeatTime matches 60 as @a[scores={Level=1..50}] at @s run playsound minecraft:block.note_block.bit block @s ~ ~ ~ 1 1.8
execute if score BeatTime BeatTime matches 80 as @a[scores={Level=1..50}] at @s run playsound minecraft:block.note_block.bell block @s ~ ~ ~ 1 2
execute if score BeatTime BeatTime matches 80 as @a run function beat_parkour:on

execute if score BeatTime BeatTime matches 100 as @a[scores={Level=1..50}] at @s run playsound minecraft:block.note_block.bit block @s ~ ~ ~ 1 1.5
execute if score BeatTime BeatTime matches 120 as @a[scores={Level=1..50}] at @s run playsound minecraft:block.note_block.bit block @s ~ ~ ~ 1 1.7
execute if score BeatTime BeatTime matches 140 as @a[scores={Level=1..50}] at @s run playsound minecraft:block.note_block.bit block @s ~ ~ ~ 1 1.8
execute if score BeatTime BeatTime matches 160 as @a[scores={Level=1..50}] at @s run playsound minecraft:block.note_block.bell block @s ~ ~ ~ 1 2
execute if score BeatTime BeatTime matches 160 as @a run function beat_parkour:off
execute if score BeatTime BeatTime matches 160 as @a run scoreboard players set BeatTime BeatTime 0
execute if score BeatTime BeatTime > Bound BeatTime run scoreboard players set BeatTime BeatTime 0


execute as @a store result score @s Level run data get entity @s Pos[2]
scoreboard players set @a TMP 32
execute as @a run scoreboard players operation @s Level /= @s TMP
scoreboard players add @a Level 1

execute as @a[tag=ON] unless score @s Level = @s LevelPrev run function beat_parkour:on
execute as @a[tag=OFF] unless score @s Level = @s LevelPrev run function beat_parkour:off

execute as @a run scoreboard players operation @s LevelPrev = @s Level

scoreboard players add @a MusicTime 1
execute as @a[scores={MusicTime=1,Level=1..50}] at @s run playsound minecraft:sfx.music record @s ~ ~ ~ 10000 1
scoreboard players set @a[scores={MusicTime=3380..}] MusicTime 0

execute as @e[tag=Look] at @s if entity @a[distance=..20] facing entity @p eyes run tp @s ~ ~ ~ ~ ~

scoreboard players add @e[tag=ClapingBlue] WalkingTime 1
scoreboard players add @e[tag=WavingBlue] WalkingTime 1

scoreboard players set @e[tag=ClapingBlue,scores={WalkingTime=4}] WalkingTime 0
scoreboard players set @e[tag=WavingBlue,scores={WalkingTime=16}] WalkingTime 0

execute as @e[tag=ClapingBlue,scores={WalkingTime=0}] run data merge entity @s {ArmorItems:[{},{},{},{id:"egg",Count:1b,tag:{CustomModelData:3}}]}
execute as @e[tag=ClapingBlue,scores={WalkingTime=2}] run data merge entity @s {ArmorItems:[{},{},{},{id:"egg",Count:1b,tag:{CustomModelData:4}}]}
execute as @e[tag=IDLE_Blue] run data merge entity @s {ArmorItems:[{},{},{},{id:"egg",Count:1b,tag:{CustomModelData:2}}]}

execute as @e[tag=WavingBlue,scores={WalkingTime=0}] run data merge entity @s {ArmorItems:[{},{},{},{id:"egg",Count:1b,tag:{CustomModelData:5}}]}
execute as @e[tag=WavingBlue,scores={WalkingTime=4}] run data merge entity @s {ArmorItems:[{},{},{},{id:"egg",Count:1b,tag:{CustomModelData:6}}]}
execute as @e[tag=WavingBlue,scores={WalkingTime=8}] run data merge entity @s {ArmorItems:[{},{},{},{id:"egg",Count:1b,tag:{CustomModelData:7}}]}
execute as @e[tag=WavingBlue,scores={WalkingTime=12}] run data merge entity @s {ArmorItems:[{},{},{},{id:"egg",Count:1b,tag:{CustomModelData:6}}]}